View Issue Details

IDProjectCategoryView StatusLast Update
0015409ScribusImport / Exportpublic2019-06-04 20:56
Reporterale Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.5.5.svn 
Target VersionFixed in Version1.5.5.svn 
Summary0015409: embedded image positioned incorrectly in imported svg
Descriptionscribus cannot import a simple svg consisting of a square with an image in its middle.
TagsNo tags attached.
PatchNo

Activities

ale

2018-08-22 07:38

manager  

boxed-ots.svg (5,283 bytes)
boxed-ots-inkscape.png (10,582 bytes)
boxed-ots-inkscape.png (10,582 bytes)
boxed-ots-scribus.png (15,613 bytes)
boxed-ots-scribus.png (15,613 bytes)

ice

2018-08-22 08:43

reporter   ~0045407

Originating superuser question:

https://superuser.com/questions/1350944/svg-import-embedded-linked-images-at-the-wrong-place

ale

2018-08-23 07:50

manager   ~0045408

it works! thanks!

ice

2018-08-23 12:42

reporter   ~0045409

I can only use the portable version -- is there any way for me to test it or do I simply have to wait for it to become "stable"?

ice

2018-08-23 12:43

reporter   ~0045410

(Don't be offended by the quotation marks, I meant them in the sense of classification/declaration/labelling, not ironcal!)

ale

2018-08-23 12:54

manager   ~0045411

waiting for stable might be an issue, if you're not that young anymore...

but development versions are also published as portable apps:

https://portableapps.com/apps/office/scribus-portable-test

you just have to wait for the next development version being out, which won't be as soon as you might need, but will for sure be in your lifetime.

really, for this, you might want to find a windows computer where you can "correctly" install scribus and use the setup file jean has created yesterday: https://sourceforge.net/projects/scribus/files/scribus-svn/1.5.5.svn/ .
there is also a dmg for mac, if it's easier for you to find a mac.
both should contain the patch you need!

no idea if you can install virtualbox as an appimage and setup a clean windows in there... as a last resort...
or a virtualbox with ubuntu... and then add the ppa in there...

Issue History

Date Modified Username Field Change
2018-08-22 07:38 ale New Issue
2018-08-22 07:38 ale File Added: boxed-ots.svg
2018-08-22 07:38 ale File Added: boxed-ots-inkscape.png
2018-08-22 07:38 ale File Added: boxed-ots-scribus.png
2018-08-22 08:43 ice Note Added: 0045407
2018-08-22 11:08 jghali Category - => Import / Export
2018-08-22 14:13 jghali Summary cannot import svg with embedded image => embedded image positionned incorrectly in imported svg
2018-08-22 14:33 jghali Summary embedded image positionned incorrectly in imported svg => embedded image positioned incorrectly in imported svg
2018-08-22 14:33 jghali Assigned To => jghali
2018-08-22 14:33 jghali Status new => resolved
2018-08-22 14:33 jghali Resolution open => fixed
2018-08-22 14:33 jghali Fixed in Version => 1.5.5.svn
2018-08-23 07:50 ale Note Added: 0045408
2018-08-23 12:42 ice Note Added: 0045409
2018-08-23 12:43 ice Note Added: 0045410
2018-08-23 12:54 ale Note Added: 0045411
2019-06-04 20:56 cbradney Status resolved => closed